cURL
curl --request POST \ --url https://api.orafi.app/v1/transactions/payment/create \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "amount": 123, "customer": { "fullname": "<string>", "email": "<string>" }, "txRef": "<string>", "type": "PAYMENT_LINK", "redirectUrl": "<string>" } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "amount": 123, "amountInUSDC": 123, "token": "<string>", "depositAddress": "<string>", "txRef": "<string>", "status": "INITIALIZED", "paymentMethod": "PAYMENT_LINK", "redirectUrl": "<string>", "paylinkId": "<string>", "customerId": "<string>", "transactionId": "<string>" } }
Create a new hosted payment
Amount in the smallest unit
Show child attributes
Transaction reference
PAYMENT_LINK
HOSTED_CHECKOUT
Payment created